# Yahoo! UI Library

### yuitest 2.9.0

Yahoo! UI Library > yuitest > YAHOO.util.UnexpectedError
Search:
Filters Show Private Show Protected Show Deprecated

## Class YAHOO.util.UnexpectedError - extends YAHOO.util.AssertionError

UnexpectedError is subclass of AssertionError that is thrown whenever an error occurs within the course of a test and the test was not expected to throw an error.

### Constructor

YAHOO.util.UnexpectedError `( cause )`

Parameters:
  `cause <Error>` The unexpected error that caused this error to be thrown.

### Properties

#### cause - `Error`

The unexpected error that occurred.

#### name - `String`

The name of the error that occurred.

#### stack - `String`

Stack information for the error (if provided).

#### Properties inherited from YAHOO.util.AssertionError:

`name`

### Methods

#### JSON

`String JSON ( coverage )`
Returns the coverage report in JSON format. This is the straight JSON representation of the native coverage report.

Parameters:
  `coverage <Object>` The coverage report object.

Returns: `String`
  A JSON-formatted string of coverage data.

#### XdebugJSON

`String XdebugJSON ( coverage )`
Returns the coverage report in a JSON format compatible with Xdebug. See Xdebug Documentation for more information. Note: function coverage is not available in this format.

Parameters:
  `coverage <Object>` The coverage report object.

Returns: `String`
  A JSON-formatted string of coverage data.

#### Methods inherited from YAHOO.util.AssertionError:

`getMessage, toString`

Copyright © 2011 Yahoo! Inc. All rights reserved.